CodeCanyon

Swift Security Bundle - Hide WordPress, Firewall, Code Scanner

Swift Security Bundle - Hide WordPress, Firewall, Code Scanner



With the Swift Security plugin you can make your Wordpress website more secure with a single click. A great advantage of the plugin is that you don’t need any special technical knowledge.





























Swift Security – Minimum System Requirements

  • Apache Web Server or Nginx
  • PHP 5.3+
  • WordPress 3.5+

Firewall POST filtering requires CURL extension

Swift Security – Feature List

  • 1-Click Activation
  • Hide the fact that you are using WordPress by changing the default name of the directories and files, without having to modify your original structure (for example: wp-admin, wp-content). The magic happens on the fly.
  • Rename any file. (For example: You can rename the original readme.html without having to physically modify it.)
  • Change any string in the source code. This is useful when a plugin uses detailed CSS class names from which robots can determine that you are using WordPress.
  • Pre-configured firewall with security levels to filter the malicious attacks against your WordPress site.
  • IP/GEO Filter
  • Anti-Brute Force function
  • Comment Spam Blocker
  • Security logs
  • Email/Push notifications
  • CSS/JavaScript minifier
  • HTML Comment Remover
  • Code Scanner to find the vulnerabilities in your plugins and in your system. This feature comes with the possibility to schedule scans at different time intervals.
  • Import/Export settings
  • Automatic Troubleshooting
  • Custom Logout Page
  • Nginx Support
  • Multisite Support (apache only)

Swift Security – Change log

10 Aug 2016  - 1.4.2.15
[FIX] Minor fixes
[FIX] Compatibility fixes

22 Feb 2016  - 1.4.2.10
[FIX] Minor fixes

10 Oct 2015 - 1.4.2.8
[FIX] Fix default settings for Firewall

07 Oct 2015 - 1.4.2.7
[FIX] Minor bugfixes
[IMPROVE] Smart cache management

29 Aug 2015 - 1.4.2.6
[NEW] Auto updater
[IMPROVE] Supports WP Rocket minify
[FIX] Fix RocketSripts conflict
[FIX] Fix "No input filed specified" issue

31 Jul 2015 - 1.4.2.4
[NEW] Regular expression in request
[NEW] CDN support
[NEW] Whitelisted users in firewall
[NEW] Ability to hide root-level admin menu (move to under settings)
[NEW] Turn off safe activation
[IMPROVE] Turn caching
[IMPROVE] 3rd party compatibility
[FIX] multisite bugfixes

20 Jun 2015 - 1.4.2
[FIX] Minor bugfixes
[NEW] Manage blocked ips
[NEW] Replace in htaccess
[NEW] Combine CSS, JS files

09 Jun 2015 - 1.4.0.6
[FIX] 3rd party compatibility (WP Super cache, CoursePress)
[FIX] Minor bufixes
[FIX] Subdomain multisite cache fix
[NEW] Emergency mode (if something went wrong and you can't login you can disable all modules easily)

27 May 2015 - 1.4
[FIX] Firewall bugfix

19 May 2015 - 1.4
[NEW] Multisite support (Apache only)
[NEW] Improve JS minify options

5 May 2015 - 1.3.10
[NEW] Login redirect based on user roles
[NEW] Remove admin bar based on user roles

16 April 2015 - 1.3.8
[FIXED] Compatibility Fixes

13 April 2015 - 1.3.6
[FIXED] Compatibility fixes
[NEW] Ability to replace HTML names
[NEW] Redirect 404 pages option

2 April 2015 - 1.3.4
[FIXED] 3rd Party Compatibility Fixes
[FIXED] Code Scanner Improvements

29 March 2015 - 1.3.2
[FIXED] 3rd Party Compatibility Fixes
[FIXED] Redirect issue

19 March 2015 - 1.3
[NEW] Nginx support

16 March 2015 - 1.2.6
[NEW] Improve Automatic Troubleshooting
[FIXED] 3rd Party Compatibility Fixes
[FIXED] Security Bug Fixes

3 March 2015 - 1.2.4
[NEW] Automatic Troubleshooting
[NEW] Custom Logout Page
[NEW] Spanish Translation 
[NEW] 3rd Party Compatibility Fixes

14 February 2015 - 1.2
[NEW] HTML Comment Remover
[NEW] Comment Spam Blocker
[NEW] Misconfiguration Check
[NEW] Improved 1-Click Activation

3 February 2015 - 1.0.6
[NEW] GEO IP Filter
[NEW] Push Notifications
[NEW] Anti-Brute Force Function
[FIXED] Performance issues

30 January 2015 - 1.0.2
[NEW] JavaScript minifier
[FIXED] Performance issues
[FIXED] Dashboard layout issues on Safari

27 January 2015 - 1.0
Initial release
by
by
by
by
by
by